﻿using System.Web;

/// <summary>
/// Replacement for <see cref="Elmah.ErrorLogPageFactory"/> that enables
/// session state for requests to ELMAH.
/// </summary>

public class ErrorLogHandlerFactory : Elmah.ErrorLogPageFactory 
{
    public override IHttpHandler GetHandler(HttpContext context, string requestType, string url, string pathTranslated)
    {
        var handler = base.GetHandler(context, requestType, url, pathTranslated);

        //
        // Wrap up the base handler so that session requirement
        // can be advertised via a wrapping handler.
        //

        return new SessionRequringHandler(handler);
    }
}